Bug 93484 - [umass] [patch] QUIRK: Toshiba TransMemory USB Memorystick
Summary: [umass] [patch] QUIRK: Toshiba TransMemory USB Memorystick
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: usb (show other bugs)
Version: 6.1-PRERELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Florent Thoumie
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-17 15:50 UTC by Oliver Lehmann
Modified: 2007-01-26 18:55 UTC (History)
1 user (show)

See Also:


Attachments
src-patch (1.19 KB, text/plain)
2006-02-17 15:50 UTC, Oliver Lehmann
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Lehmann freebsd_committer 2006-02-17 15:50:12 UTC
	Quirks for a Toshiba TransMemory USB Memorystick to get away the dmesg
	output which is generated for each access

	before:
	
	umass0: TOSHIBA TransMemory, rev 2.00/1.00, addr 2
	da0 at umass-sim0 bus 0 target 0 lun 0
	da0: <TOSHIBA TransMemory 1.04> Removable Direct Access SCSI-0 device
	da0: 40.000MB/s transfers
	da0: 979MB (2004992 512 byte sectors: 64H 32S/T 979C)
	umass0: Phase Error, residue = 0
	da0:umass-sim0:0:0:0): Synchronize cache failed, status == 0x4, scsi status == 0x0

	after:
	
	da0 at umass-sim0 bus 0 target 0 lun 0
	da0: <TOSHIBA TransMemory 1.04> Removable Direct Access SCSI-0 device
	da0: 40.000MB/s transfers 
	da0: 979MB (2004992 512 byte sectors: 64H 32S/T 979C)

	# camcontrol inquiry 1:0:0
	pass0: <TOSHIBA TransMemory 1.04> Removable Direct Access SCSI-0 device 
	pass0: Serial Number 
	pass0: 40.000MB/s transfers 

	# usbdevs -vdf /dev/usb4 
	Controller /dev/usb4:
	addr 1: high speed, self powered, config 1, EHCI root hub(0x0000), VIA(0x0000), rev 1.00
	  uhub4
	 port 1 addr 2: high speed, power 200 mA, config 1, TransMemory(0x652a), TOSHIBA(0x0930), rev 1.00
	   umass0
	 port 2 powered
	 port 3 powered
	 port 4 powered
	 port 5 powered
	 port 6 powered
	 port 7 powered
	 port 8 powered
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2006-02-19 19:52:22 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-usb

Over to maintainer(s).
Comment 2 Florent Thoumie freebsd_committer 2006-10-07 12:16:30 UTC
State Changed
From-To: open->feedback

What do you need the IGNORE_RESIDUE for? 
Does it work without the umass quirk? 


Comment 3 Florent Thoumie freebsd_committer 2006-10-07 12:16:30 UTC
Responsible Changed
From-To: freebsd-usb->flz

Grab.
Comment 4 Oliver Lehmann 2007-01-26 15:03:42 UTC
The PR can be closed, IGNORE_RESIDUE is not needed, the modification
made to scsi_da.c is sufficient

Greetings, Oliver
Comment 5 Florent Thoumie freebsd_committer 2007-01-26 18:54:58 UTC
State Changed
From-To: feedback->closed

Submitter said it was committed some time ago.